Subject: RE: [nfsv4] Fallout from the global namespaces review: state recovery...

From: Trond Myklebust <[email-masked]>
Date: Wed, 25 Jul 2007 12:35:50 -0400

On Wed, 2007-07-25 at 08:22 -0700, Eisler, Michael wrote:
> > The proposal is to add a new csa_flag 
> > CREATE_SESSION4_FLAG_RECOVER that
> > indicates to the server that the session being created will 
> > be used for
> > state recovery. If none of the exported filesystems are in 
> > grace at the
> > time, then the server should return an error NFS4ERR_NO_GRACE.
> > If the client MUST not set CREATE_SESSION4_FLAG_CONN_BACK_CHAN in
> > conjunction with CREATE_SESSION4_FLAG_RECOVER (return NFS4ERR_INVAL). 
> 
> I didn't quite parse the last sentence; I can guess, but would rather
> the
> typo were cleaned up so that I can more fully grok the proposal.

Sorry. That sentence should read

"The client MUST not set CREATE_SESSION4_FLAG_CONN_BACK_CHAN in
conjunction with CREATE_SESSION4_FLAG_RECOVER (return NFS4ERR_INVAL)."

Basically, it makes little sense to set up a back channel on a session
that is meant only for recovery, and that will be destroyed as soon as
normal stateful operations resume.

Cheers
  Trond

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4